PDA

View Full Version : Nvidia driver problem



spectre1989
23rd January 2008, 07:09 AM
Hey hey,

I'm installing 32 bit linux, and I'm trying to install the nvidia linux driver by using:



yum install kmod-nvidia


And well.. Fedora wasn't best pleased by this.. According to uname my kernel is "2.6.23.9-85.fc8 i686". Anywho, the errors thrown out were.. well.. There was a hell of a lot of it. I won't post it all.. It won't even fit. But it seems as though there's 2 "things" I have which are conflicting, it seems to be the same two things conflicting with each error..

So any ideas? Sorry I'm a total noob, my first day of linux :D



Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package kmod-nvidia.i686 0:169.07-1.lvn8 set to be updated
--> Processing Dependency: kmod-nvidia-2.6.23.9-85.fc8 = 169.07-1.lvn8 for package: kmod-nvidia
--> Running transaction check
---> Package kmod-nvidia-2.6.23.9-85.fc8.i686 0:169.07-1.lvn8 set to be updated
--> Processing Dependency: kernel-i686 = 2.6.23.9-85.fc8 for package: kmod-nvidia-2.6.23.9-85.fc8
--> Processing Dependency: nvidia-kmod-common >= 169.07 for package: kmod-nvidia-2.6.23.9-85.fc8
--> Running transaction check
---> Package xorg-x11-drv-nvidia.i386 0:169.07-4.lvn8 set to be updated
--> Processing Dependency: livna-config-display for package: xorg-x11-drv-nvidia
--> Processing Dependency: livna-config-display for package: xorg-x11-drv-nvidia
---> Package kernel.i686 0:2.6.23.9-85.fc8 set to be installed
--> Running transaction check
---> Package livna-config-display.noarch 0:0.0.20-1.lvn8 set to be updated
--> Finished Dependency Resolution
--> Running transaction check
---> Package kmod-nvidia.i686 0:169.07-1.lvn8 set to be updated
---> Package kmod-nvidia-2.6.23.9-85.fc8.i686 0:169.07-1.lvn8 set to be updated
---> Package kernel.i686 0:2.6.23.9-85.fc8 set to be installed
---> Package livna-config-display.noarch 0:0.0.20-1.lvn8 set to be updated
---> Package kernel.i586 0:2.6.23.1-42.fc8 set to be erased
---> Package xorg-x11-drv-nvidia.i386 0:169.07-4.lvn8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================== ===========================
Package Arch Version Repository Size
================================================== ===========================
Removing:
kernel i586 2.6.23.1-42.fc8 installed 45 M
Installing for dependencies:
kernel i686 2.6.23.9-85.fc8 updates 16 M
kmod-nvidia i686 169.07-1.lvn8 livna 21 k
kmod-nvidia-2.6.23.9-85.fc8 i686 169.07-1.lvn8 livna 2.6 M
livna-config-display noarch 0.0.20-1.lvn8 livna 64 k
xorg-x11-drv-nvidia i386 169.07-4.lvn8 livna 6.7 M

Transaction Summary
================================================== ===========================
Install 5 Package(s)
Update 0 Package(s)
Remove 1 Package(s)

Total download size: 26 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
package kernel-2.6.23.9-85.fc8.i686 is already installed
file /boot/System.map-2.6.23.9-85.fc8 from install of kernel-2.6.23.9-85.fc8.i686 conflicts with file from package kernel-2.6.23.9-85.fc8.i586
file /boot/config-2.6.23.9-85.fc8 from install of kernel-2.6.23.9-85.fc8.i686 conflicts with file from package kernel-2.6.23.9-85.fc8.i586
file /boot/vmlinuz-2.6.23.9-85.fc8 from install of kernel-2.6.23.9-85.fc8.i686 conflicts with file from package kernel-2.6.23.9-85.fc8.i586
file /lib/modules/2.6.23.9-85.fc8/build from install of kernel-2.6.23.9-85.fc8.i686 conflicts with file from package kernel-2.6.23.9-85.fc8.i586
file /lib/modules/2.6.23.9-85.fc8/kernel/arch/i386/crypto/aes-i586.ko from install of kernel-2.6.23.9-85.fc8.i686 conflicts with file from package kernel-2.6.23.9-85.fc8.i586
file /lib/modules/2.6.23.9-85.fc8/kernel/arch/i386/crypto/twofish-i586.ko from install of kernel-2.6.23.9-85.fc8.i686 conflicts with file from package kernel-2.6.23.9-85.fc8.i586
file /lib/modules/2.6.23.9-85.fc8/kernel/arch/i386/kernel/cpu/cpufreq/acpi-cpufreq.ko from install of kernel-2.6.23.9-85.fc8.i686 conflicts with file from package kernel-2.6.23.9-85.fc8.i586
file /lib/modules/2.6.23.9-85.fc8/kernel/arch/i386/kernel/cpu/cpufreq/p4-clockmod.ko from install of kernel-2.6.23.9-85.fc8.i686 conflicts with file from package kernel-2.6.23.9-85.fc8.i586
file /lib/modules/2.6.23.9-85.fc8/kernel/arch/i386/kernel/cpuid.ko from install of kernel-2.6.23.9-85.fc8.i686 conflicts with file from package kernel-2.6.23.9-85.fc8.i586
file /lib/modules/2.6.23.9-85.fc8/kernel/arch/i386/kernel/microcode.ko from install of kernel-2.6.23.9-85.fc8.i686 conflicts with file from package kernel-2.6.23.9-85.fc8.i586


So, any ideas?

Cheers
-Jay

antartica99999
23rd January 2008, 07:13 AM
Hi
Did you install the kernel-devel files??? If not just install it as given here and try again....

http://www.mjmwired.net/resources/mjm-fedora-f8.html#kernelheaders

spectre1989
23rd January 2008, 07:28 AM
I do indeed have kernel devel, I've tried it through yum and the package manager to make sure. Anything else it could be?

spectre1989
23rd January 2008, 07:38 AM
Ah, never mind, managed to get it to work using the trusty ol "add/remove software" thingamy-bob, cheers for your thoughts though!